function [ run ] = calib_oscilloscope(run)
% Calibrate the voltage signal acquired by an oscilloscope.

min_ch1 = min(run.ch1(:,2));
max_ch1 = max(run.ch1(:,2));
ch1_amplitude = (max_ch1 - min_ch1)/2;
ch1_bias = -(max_ch1 + min_ch1)/2;

min_ch2 = min(run.ch2(:,2));
max_ch2 = max(run.ch2(:,2));
ch2_amplitude = (max_ch2 - min_ch2)/2;
ch2_bias = -(max_ch2 + min_ch2)/2;

% Divide the full-scale voltage scale by 2 to get the calibration 
% multiplier and then calibrate the sine fit.
run.ch1_yfit = (run.ch1_yfit + ch1_bias) * run.ch1_v_scale/2;
run.ch2_yfit = (run.ch2_yfit + ch2_bias) * run.ch2_v_scale/2;

run.ch1_amplitude = ch1_amplitude;
run.ch2_amplitude = ch2_amplitude;

end

