function [ allheader ] = fileheader( fname, headerrows )

% Return the header from a data file as a string vector.
%
% INPUT PARAMETERS:
% fname      - filename containing column header information
% headerrows - number of rows in header
%
% OUTPUT PARAMETERS:
% allheader  - a vector containing the header
%
% HISTORY:
% Steve Drake (03/19/2013)

fid = fopen(fname);

allheader = cell(headerrows, 1); % initialize file header

for i=1:headerrows               % this loop grabs the header
    tline = fgetl(fid);
    allheader(i,1)=cellstr(tline);
end

fclose(fid);

end

