% Plot amplitude
clear;
fh = figure();

hc1(1,:) = mic_timeseries_lab_lowf_1b ( 50, [0 0 0], 1);
hold on;
hc1(2,:) = mic_timeseries_lab_lowf_1b (100, 'm', 2);
hc1(3,:) = mic_timeseries_lab_lowf_1b (250, 'b', 3);
%hc3 = mic_timeseries_lab_lowf_1b (250, [253/256 184/256 99/256], 3);
%hc4 = mic_timeseries_lab_lowf_1 (500, 'm', 3);
%xh = xlabel('Uncalibrated Flow Resistivity (Pa-s-m^{-2})');
xh = xlabel('Relative Flow Resistivity x 10^n (Pa s m^{-2})');
yh = ylabel('Permeability (m^2)');
bx = hc1(:,1);
%legend(get(fh, 'Child'),'show');
leg=legend(bx,{' 50 Hz', '100 Hz', '250 Hz'}, 'Location','Northeast');
%txt(1) = text(0.68, 3.2e-7, '50 Hz');
%txt(2) = text(0.33, 3.2e-7, '100 Hz');
%txt(3) = text(0.09, 3.2e-7, '250 Hz');
%legend boxoff;
set_plot_attributes( fh, gca, '', xh, yh, '');

heightScaleFactor = 1.7; % rescale legend height (after set_plot_attributes)
newHeight = leg.Position(4) * heightScaleFactor;
leg.Position(2) = leg.Position(2) - (newHeight - leg.Position(4));
leg.Position(4) = newHeight;

% Plot phase
fh = figure();

mic_timeseries_lab_lowf_phase_1 ( 50, 'r', 1);
hold on;
mic_timeseries_lab_lowf_phase_1 (100, 'k', 2);
mic_timeseries_lab_lowf_phase_1 (250, 'g', 3);
mic_timeseries_lab_lowf_phase_1 (500, 'm', 3);

legend(get(fh, 'Child'),'show');
legend('location','northeast');