function [ hm ] = mic_multiplier( rootdir, this_datestring, these_runs )
% At different frequencies, compare V_in with V_out as measured by the
% oscilloscope and microphone in free air. Determine the ratio of the
% input voltage from the signal generator with
% the output voltage from the microphone. Use this value to compensate for
% the differential spectral response of the microphone.
%
% Output:
% hm - a hashmap using frequency as keys and the multiplier as the lookup
%      value
% Example:
% [hm] = mic_multiplier (rootdir, this_datestring, [108 121 135]);

[run] = read_mic_timeseries_lab (rootdir, this_datestring, these_runs);

for i=1:length(run)
    rms_ch1 = rms(run(i).ch1(:,2));
    rms_ch2 = rms(run(i).ch2(:,2));
    multiplier(i) = rms_ch1/rms_ch2;
    freq(i) = run(i).freq;   
end
hm  = containers.Map(freq, multiplier);
%figure
%plot(freq, multiplier, '*')
end

