function [ trace, all_header ] = read_mic( dir_in, filename_in )
% Read in a Tektronics TDS 1001B ocilloscope file.

fullname = fullfile(dir_in, filename_in);

[ read_format, columns, numheaderrows ] = get_spe_format( filename_in )


numlines = countlines(fullname);                  % number of lines in file

all_header = fileheader(fullname, numheaderrows); % get header info

col_header = colheader(fullname, numlines, 2);    % data column names

npoints = numlines - numheaderrows;               % number of data pts.

fid_in  = fopen(fullname);                        % open input data file

for i=1:numheaderrows                       % this loop tosses the header
    tline = fgetl(fid_in);
end
  
data=fscanf(fid_in,',,,%f,%f,\n',[columns, npoints]); %read all data

fclose(fid_in);

trace = reshape (data, 2, 2484)';
trace = trace(1:2482,:);

end

